Class Application

    ' Los eventos de nivel de aplicación, como Startup, Exit y DispatcherUnhandledException
    ' se pueden controlar en este archivo.
  Private Sub Application_NavigationFailed(sender As Object, e As System.Windows.Navigation.NavigationFailedEventArgs)
    If TypeOf e.Exception Is Exception Then
      MessageBox.Show("El URI " & e.Uri.ToString() &
                      " no está disponible.")
      ' Permitir que la aplicación se siga ejecutando
      e.Handled = True
    End If
  End Sub

End Class
